local _, FlexBind = ...

FlexBind.schemes["priest-common"] = {
    autoload = true,
    conditions = {
        classes = { "牧师" }
    },
    bindings = {
        { key = "MOUSEWHEELUP", action = { attributes = { type = "spell", spell = "真言术：盾" } } },
        { key = "Q", action = { attributes = { type = "spell", spell = "沉默" } } },
        { key = "V", action = { attributes = { type = "spell", spell = "渐隐术" } } },
    }
}

FlexBind.schemes["priest-discipline"] = {
    autoload = true,
    conditions = {
        classes = { "牧师" },
        instances = { "arena", "none", "party", "pvp", "raid" },
        talents = { "戒律" },
    },
    bindings = {
        --[[
        { action = { frame = CompactPartyFrameMember0, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactPartyFrameMember1, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactPartyFrameMember2, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactPartyFrameMember3, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactPartyFrameMember4, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactPartyFrameMember5, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactRaidFrame0, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactRaidFrame1, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactRaidFrame2, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactRaidFrame3, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactRaidFrame4, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = CompactRaidFrame5, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = PartyMemberFrame0, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = PartyMemberFrame1, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = PartyMemberFrame2, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = PartyMemberFrame3, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = PartyMemberFrame4, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },
        { action = { frame = PartyMemberFrame5, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },

        ]]
        { action = { frame = PlayerFrame, attributes = { type1 = "spell", spell1 = "快速治疗", type2 = "spell", spell2 = "真言术：盾" } } },

        { key = "MOUSEWHEELDOWN", action = { attributes = { type = "macro", macrotext = "/cast 绝望祷言\n/cast 神圣之星\n/cast 幽灵伪装" } } },
        { key = "A", action = { attributes = { type = "spell", spell = "天堂之羽" } } },
        { key = "C", action = { attributes = { type = "macro", macrotext = "/cast 虚空触须\n/cast 心灵尖啸\n/cast 统御意志" } } },

        { key = "1", action = { attributes = { type = "macro", macrotext = "/cast 瀑流\n/cast 神圣之星\n/cast 光晕" } } },
        { key = "2", action = { attributes = { type = "spell", spell = "快速治疗" } } },
        { key = "3", action = { attributes = { type = "macro", macrotext = "/cast 意志洞悉\n/cast 救赎恩惠" } } },
        { key = "4", action = { attributes = { type = "spell", spell = "神圣新星" } } },
        { key = "5", action = { attributes = { type = "spell", spell = "治疗术" } } },

        { key = "W", action = { attributes = { type = "spell", spell = "苦修" } } },
        { key = "R", action = { attributes = { type = "spell", spell = "愈合祷言" } } },
        { key = "SHIFT-1", action = { attributes = { type = "spell", spell = "惩击" } } },
        { key = "SHIFT-2", action = { attributes = { type = "spell", spell = "神圣之火" } } },
        { key = "SHIFT-3", action = { attributes = { type = "spell", spell = "暗言术：痛" } } },
        { key = "SHIFT-H", action = { attributes = { type = "spell", spell = "复活术" } } },
        { key = "SHIFT-A", action = { attributes = { type = "spell", spell = "真言术：韧" } } },
        { key = "SHIFT-T", action = { attributes = { type = "spell", spell = "纯净术" } } },
        { key = "SHIFT-Q", action = { attributes = { type = "spell", spell = "驱散魔法" } } },
        { key = "SHIFT-W", action = { attributes = { type = "spell", spell = "精神灼烧" } } },
        { key = "SHIFT-X", action = { attributes = { type = "spell", spell = "束缚亡灵" } } },
        { key = "SHIFT-Z", action = { attributes = { type = "spell", spell = "漂浮术" } } },
        { key = "SHIFT-V", action = { attributes = { type = "spell", spell = "心灵视界" } } },
        { key = "SHIFT-G", action = { attributes = { type = "spell", spell = "暗影魔" } } },
        { key = "T", action = { attributes = { type = "spell", spell = "治疗祷言" } } },
        { key = "B", action = { attributes = { type = "spell", spell = "天使长" } } },
        { key = "SHIFT-4", action = { attributes = { type = "spell", spell = "防护恐惧结界" } } },
        { key = "G", action = { attributes = { type = "spell", spell = "痛苦压制" } } },
        { key = "Z", action = { attributes = { type = "spell", spell = "真言术：障" } } },
        { key = "SHIFT-B", action = { attributes = { type = "spell", spell = "群体驱散" } } },
        { key = "SHIFT-R", action = { attributes = { type = "spell", spell = "信仰飞跃" } } },
    }
}
--Holy
--Shadow
