--
-- Copyright (C) 2016 HE Yaowen
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

local _, FlexBind = ...

FlexBind.schemes["clear"] = {
    autoload = false,
    description = 'Clear default bindings',
    bindings = {
        { key = "-", action = nil },
        { key = "/", action = nil },
        { key = "=", action = nil },
        { key = "0", action = nil },
        { key = "1", action = nil },
        { key = "2", action = nil },
        { key = "3", action = nil },
        { key = "4", action = nil },
        { key = "5", action = nil },
        { key = "6", action = nil },
        { key = "7", action = nil },
        { key = "8", action = nil },
        { key = "9", action = nil },
        { key = "A", action = nil },
        { key = "ALT-Z", action = nil },
        { key = "B", action = nil },
        { key = "BUTTON3", action = nil },
        { key = "C", action = nil },
        { key = "CTRL--", action = nil },
        { key = "CTRL-=", action = nil },
        { key = "CTRL-0", action = nil },
        { key = "CTRL-1", action = nil },
        { key = "CTRL-2", action = nil },
        { key = "CTRL-3", action = nil },
        { key = "CTRL-4", action = nil },
        { key = "CTRL-5", action = nil },
        { key = "CTRL-6", action = nil },
        { key = "CTRL-7", action = nil },
        { key = "CTRL-8", action = nil },
        { key = "CTRL-9", action = nil },
        { key = "CTRL-F1", action = nil },
        { key = "CTRL-F10", action = nil },
        { key = "CTRL-F2", action = nil },
        { key = "CTRL-F3", action = nil },
        { key = "CTRL-F4", action = nil },
        { key = "CTRL-F5", action = nil },
        { key = "CTRL-F6", action = nil },
        { key = "CTRL-F7", action = nil },
        { key = "CTRL-F8", action = nil },
        { key = "CTRL-F9", action = nil },
        { key = "CTRL-I", action = nil },
        { key = "CTRL-M", action = nil },
        { key = "CTRL-MOUSEWHEELDOWN", action = nil },
        { key = "CTRL-MOUSEWHEELUP", action = nil },
        { key = "CTRL-PAGEDOWN", action = nil },
        { key = "CTRL-PAGEUP", action = nil },
        { key = "CTRL-R", action = nil },
        { key = "CTRL-S", action = nil },
        { key = "CTRL-SHIFT-PAGEDOWN", action = nil },
        { key = "CTRL-SHIFT-TAB", action = nil },
        { key = "CTRL-TAB", action = nil },
        { key = "CTRL-V", action = nil },
        { key = "D", action = nil },
        { key = "DELETE", action = nil },
        { key = "E", action = nil },
        { key = "END", action = nil },
        { key = "ENTER", action = nil },
        { key = "ESCAPE", action = nil },
        { key = "F", action = nil },
        { key = "F1", action = nil },
        { key = "F10", action = nil },
        { key = "F11", action = nil },
        { key = "F2", action = nil },
        { key = "F3", action = nil },
        { key = "F4", action = nil },
        { key = "F5", action = nil },
        { key = "F8", action = nil },
        { key = "F9", action = nil },
        { key = "G", action = nil },
        { key = "H", action = nil },
        { key = "HOME", action = nil },
        { key = "I", action = nil },
        { key = "INSERT", action = nil },
        { key = "J", action = nil },
        { key = "K", action = nil },
        { key = "L", action = nil },
        { key = "M", action = nil },
        { key = "MOUSEWHEELDOWN", action = nil },
        { key = "MOUSEWHEELUP", action = nil },
        { key = "N", action = nil },
        { key = "NUMLOCK", action = nil },
        { key = "NUMPAD1", action = nil },
        { key = "NUMPAD3", action = nil },
        { key = "NUMPAD5", action = nil },
        { key = "NUMPADDIVIDE", action = nil },
        { key = "NUMPADMINUS", action = nil },
        { key = "NUMPADPLUS", action = nil },
        { key = "O", action = nil },
        { key = "P", action = nil },
        { key = "PAGEDOWN", action = nil },
        { key = "PAGEUP", action = nil },
        { key = "PRINTSCREEN", action = nil },
        { key = "Q", action = nil },
        { key = "R", action = nil },
        { key = "S", action = nil },
        { key = "SHIFT-1", action = nil },
        { key = "SHIFT-2", action = nil },
        { key = "SHIFT-3", action = nil },
        { key = "SHIFT-4", action = nil },
        { key = "SHIFT-5", action = nil },
        { key = "SHIFT-6", action = nil },
        { key = "SHIFT-B", action = nil },
        { key = "SHIFT-C", action = nil },
        { key = "SHIFT-DOWN", action = nil },
        { key = "SHIFT-F1", action = nil },
        { key = "SHIFT-F2", action = nil },
        { key = "SHIFT-F3", action = nil },
        { key = "SHIFT-F4", action = nil },
        { key = "SHIFT-F5", action = nil },
        { key = "SHIFT-I", action = nil },
        { key = "SHIFT-J", action = nil },
        { key = "SHIFT-M", action = nil },
        { key = "SHIFT-O", action = nil },
        { key = "SHIFT-P", action = nil },
        { key = "SHIFT-PAGEDOWN", action = nil },
        { key = "SHIFT-R", action = nil },
        { key = "SHIFT-SPACE", action = nil },
        { key = "SHIFT-T", action = nil },
        { key = "SHIFT-TAB", action = nil },
        { key = "SHIFT-UP", action = nil },
        { key = "SHIFT-V", action = nil },
        { key = "SHIFT-Y", action = nil },
        { key = "SPACE", action = nil },
        { key = "TAB", action = nil },
        { key = "U", action = nil },
        { key = "V", action = nil },
        { key = "W", action = nil },
        { key = "X", action = nil },
        { key = "Y", action = nil },
        { key = "Z", action = nil },
    }
}
