local _, FlexBind = ...

FlexBind.schemes["global"] = {
    autoload = true,
    description = "Global binding settings for all characters",
    bindings = {
        -- Movement
        { key = "E", action = "MOVEFORWARD" },
        { key = "D", action = "MOVEBACKWARD" },
        { key = "S", action = "STRAFELEFT" },
        { key = "F", action = "STRAFERIGHT" },
        { key = "SPACE", action = "JUMP" },
        { key = "BUTTON3", action = "TOGGLEAUTORUN" },
        { key = "NUMPADDIVIDE", action = "TOGGLERUN" },
        { key = "ALT-F", action = "FOLLOWTARGET" },

        -- Chat
        { key = "ENTER", action = "OPENCHAT" },
        { key = "/", action = "OPENCHATSLASH" },
        { key = "PAGEUP", action = "CHATPAGEUP" },
        { key = "PAGEDOWN", action = "CHATPAGEDOWN" },
        { key = "SHIFT-PAGEDOWN", action = "CHATBOTTOM" },
        { key = "CTRL-PAGEUP", action = "COMBATLOGPAGEUP" },
        { key = "CTRL-PAGEDOWN", action = "COMBATLOGPAGEDOWN" },
        { key = "CTRL-SHIFT-PAGEDOWN", action = "COMBATLOGBOTTOM" },

        -- action Bar
        { key = "CTRL-F1", action = "SHAPESHIFTBUTTON1" },
        { key = "CTRL-F2", action = "SHAPESHIFTBUTTON2" },
        { key = "CTRL-F3", action = "SHAPESHIFTBUTTON3" },
        { key = "CTRL-F4", action = "SHAPESHIFTBUTTON4" },
        { key = "CTRL-F5", action = "SHAPESHIFTBUTTON5" },
        { key = "CTRL-F6", action = "SHAPESHIFTBUTTON6" },
        { key = "CTRL-F7", action = "SHAPESHIFTBUTTON7" },
        { key = "CTRL-F8", action = "SHAPESHIFTBUTTON8" },
        { key = "CTRL-F9", action = "SHAPESHIFTBUTTON9" },
        { key = "CTRL-F10", action = "SHAPESHIFTBUTTON10" },
        { key = "CTRL-1", action = "BONUSACTIONBUTTON1" },
        { key = "CTRL-2", action = "BONUSACTIONBUTTON2" },
        { key = "CTRL-3", action = "BONUSACTIONBUTTON3" },
        { key = "CTRL-4", action = "BONUSACTIONBUTTON4" },
        { key = "CTRL-5", action = "BONUSACTIONBUTTON5" },
        { key = "CTRL-6", action = "BONUSACTIONBUTTON6" },
        { key = "CTRL-7", action = "BONUSACTIONBUTTON7" },
        { key = "CTRL-8", action = "BONUSACTIONBUTTON8" },
        { key = "CTRL-9", action = "BONUSACTIONBUTTON9" },
        { key = "CTRL-0", action = "BONUSACTIONBUTTON10" },

        -- Targeting
        { key = "TAB", action = "TARGETNEARESTENEMY" },
        { key = "SHIFT-TAB", action = "TARGETPREVIOUSENEMY" },
        { key = "CTRL-TAB", action = "TARGETNEARESTFRIEND" },
        { key = "CTRL-SHIFT-TAB", action = "TARGETPREVIOUSFRIEND" },

        { key = "F1", action = "TARGETSELF" },
        { key = "F2", action = "TARGETPARTYMEMBER1" },
        { key = "F3", action = "TARGETPARTYMEMBER2" },
        { key = "F4", action = "TARGETPARTYMEMBER3" },
        { key = "F5", action = "TARGETPARTYMEMBER4" },
        { key = "SHIFT-F1", action = "TARGETPET" },
        { key = "SHIFT-F2", action = "TARGETPARTYPET1" },
        { key = "SHIFT-F3", action = "TARGETPARTYPET2" },
        { key = "SHIFT-F4", action = "TARGETPARTYPET3" },
        { key = "SHIFT-F5", action = "TARGETPARTYPET4" },

        { key = "[", action = "NAMEPLATES" },
        { key = "]", action = "FRIENDNAMEPLATES" },
        { key = "\\", action = "ALLNAMEPLATES" },

        -- Interface
        { key = "ESCAPE", action = "TOGGLEGAMEMENU" },
        { key = "I", action = "OPENALLBAGS" },
        { key = "J", action = "TOGGLECHARACTER0" },
        { key = "P", action = "TOGGLESPELLBOOK" },
        { key = "N", action = "TOGGLETALENTS" },
        { key = "Y", action = "TOGGLEACHIEVEMENT" },
        { key = "L", action = "TOGGLEQUESTLOG" },
        { key = "M", action = "TOGGLEWORLDMAP" },
        { key = "SHIFT-M", action = "TOGGLEBATTLEFIELDMINIMAP" },
        { key = "O", action = "TOGGLESOCIAL" },
        { key = "U", action = "TOGGLEGROUPFINDER" },
        { key = "SHIFT-P", action = "TOGGLECOLLECTIONS" },

        -- Miscellaneous
        { key = "ALT-Z", action = "TOGGLEUI" },
        { key = "PRINTSCREEN", action = "SCREENSHOT" },

        -- Camera
        { key = "NUMPADPLUS", action = "CAMERAZOOMIN" },
        { key = "NUMPADMINUS", action = "CAMERAZOOMOUT" },
    }
}
