--
-- Copyright (C) 2016 HE Yaowen
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

local _, FlexBind = ...

FlexBind.slashCmds = {}

local slashCmds = FlexBind.slashCmds

_G["SLASH_FLEXBIND1"] = "/flexbind"

--- Runs the given slash command.
-- @param str slash command and parameters
--
function FlexBind_RunSlashCmd(str)
    local cmd, params = str:match("([^ ]+) *(.*)")

    if not cmd then
        cmd = "help"
    end

    if not slashCmds[cmd] then
        FlexBind_LogError(string.format("Command '%s' not registered yet.", string.lower(cmd)))
        return
    end

    slashCmds[cmd]["handler"](params)
end

SlashCmdList["FLEXBIND"] = FlexBind_RunSlashCmd
