--
-- Copyright (C) 2016 HE Yaowen
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

local _, FlexBind = ...

local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")
frame:SetScript("OnEvent", function(_, _, addon)
    if addon == "FlexBind" then
        for name, scheme in pairs(FlexBind.schemes) do
            -- Creates runtime context
            scheme["__runtime"] = {
                enabled = false
            }

            if not scheme["conditions"] then
                scheme["conditions"] = { __nil = true }
            end

            if scheme["autoload"] then
                FlexBind_LogDebug(string.format("Registering scheme '%s'.", name))

                for condName, _ in pairs(scheme["conditions"]) do
                    FlexBind_RegisterBindingScheme(condName, scheme)
                end
            end
        end
    end
end)
